#' Agreement study from Zapf et. al (2016)
#'
#' Agreement study from Zapf et al. (2016) in normal triple form.
#'
#' @usage dat.zapf2016
#'
#' @format The tibble contains the following columns:
#'     \tabular{lll}{
#'         **rating**       \tab `double` \tab the rating \cr
#'         **item**         \tab `integer` \tab the item rated \cr
#'         **judge**        \tab `integer` \tab the judge doing the rating \cr
#'    }
#'
#' @keywords datasets
#'
#' @references
#' Zapf, A., Castell, S., Morawietz, L. et al. Measuring inter-rater
#' reliability for nominal data – which coefficients and confidence
#' intervals are appropriate?. BMC Med Res Methodol 16, 93 (2016).
#' https://doi.org/10.1186/s12874-016-0200-9
#'
#' @source <https://bmcmedresmethodol.biomedcentral.com/articles/10.1186/s12874-016-0200-9#Sec14>
"dat.zapf2016"