% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kappa.R
\name{muhats}
\alias{muhats}
\alias{mua_hats}
\alias{muc_hats}
\alias{muf_hats}
\title{The \code{mus} used in the calculation of the variance.}
\usage{
mua_hats(x, w = "unit")

muc_hats(x, w = "unit", count = NULL)

muf_hats(x, w = "unit", count = NULL)
}
\arguments{
\item{x}{An array of raw data. Each row corresponds to an item and
each column corresponds to a judge.}

\item{w}{A weighting function. Can be choosen from the weights in \code{.weights},
or be a self-made function.}
}
\value{
The \code{mus} used in the calculation of the variance.
}
\description{
Calculate \code{mus} for the sample weighted agreement, the sample Fleiss-type
chance agreement, and the sample Cohen-type chance agreement. When \code{w} is
a string, \verb{C++} implementations ares used. When \code{w} is an \code{R} function,
we can't use \verb{C++}, and the evaluation is much slower.
}
\keyword{internal}
