% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kappa.R
\name{pwa_hat}
\alias{pwa_hat}
\alias{pwc_hat}
\alias{pwf_hat}
\title{Estimate the sample weighted agreement coefficients}
\usage{
pwa_hat(x, w = "unit")

pwc_hat(x, w = "unit", count = NULL)

pwf_hat(x, w = "unit", count = NULL)
}
\arguments{
\item{x}{An array of raw data. Each row corresponds to an item and
each column corresponds to a judge.}

\item{w}{A weighting function. Can be choosen \code{"unit"}, \code{"quadratic"},
\code{"absolute_value"}.}

\item{count}{If \code{TRUE}, uses the counting algorithm that is faster for
categorical data. Defaults to \code{NULL}, which evaluates to \code{TRUE} if the
number of categories in the data is less than \code{sqrt(n)}, where \code{n} is the
number of rows.}
}
\value{
The sample weighted agreement, sample Cohen-type chance agreement,
or sample Fleiss-type chance agreement.
}
\description{
The sample weighted agreement coefficients include ordinary weighted
agreement along with two kinds of chance agreement: The Cohen-type and
Fleiss-type. The Cohen-type of chance agreement does not count a judge's
agreement with himself as chance agreement, while the Fleiss-type does.
}
\section{Functions}{
\itemize{
\item \code{pwc_hat}: The sample Cohen-type chance agreement.

\item \code{pwf_hat}: The sample Fleiss-type chance agreement.
}}

\keyword{internal}
