% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulation.R
\name{simulate_jsm}
\alias{simulate_jsm}
\title{Simulate from a judge skill model.}
\usage{
simulate_jsm(
  n,
  s,
  model = c("general", "cohen-fleiss", "fleiss", "bp", "tu"),
  true_dist,
  guessing_dist
)
}
\arguments{
\item{n}{The number of observations to sample.}

\item{s}{Vector of success probabilities.}

\item{model}{Which kind of guessing model to simulate from. This determines
the shape of the guessing distribution. Choose from \verb{"general}, which uses
both true_dist and guessing_dist directly,  \code{"bp"}
(uniform guessing distribution)\code{"fleiss"} (guessing distribution
equal to the true distribution), \verb{"cohen} (marginal distribution equal to true
distribution), and \code{"tu"} (true distribution equal to the uniform distribution.)}

\item{true_dist}{A vector of true category probabilities. Ignored when \code{model = "cohen"}
or \verb{model = "tu}.}

\item{guessing_dist}{An array where each row contains the guessing
distribution for the jth judge, or a vector containing a single
guessing distribution.  Ignored when \code{model = "bp"} or \code{model = "fleiss"}.}
}
\value{
Simulated \code{raw} data.
}
\description{
Simulate from a judge skill model.
}
