% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulation.R
\name{simulate_mgm}
\alias{simulate_mgm}
\title{Simulate from a multiplicative guessing model.}
\usage{
simulate_mgm(
  n,
  skills = 1,
  difficulties = NULL,
  true_dist,
  guessing_dist,
  judges,
  ...
)
}
\arguments{
\item{n}{The number of items to sample.}

\item{skills}{Vector of skill parameters. Recycled to match the number of
judges. If \code{1}, the the model is an item difficulty model.}

\item{difficulties}{The item difficulties. A function of \code{n} that generates
difficulty parameters from \code{0} to \code{1}, e.g. \code{runif}. Parameters may be
passed to difficulties using \code{...} If \code{NULL}, the difficulties are
constant and the model is a judge skill model.}

\item{true_dist}{A vector of true category probabilities.}

\item{guessing_dist}{An array where each row contains the guessing
distribution for the jth judge, or a vector containing a single
guessing distribution. Recycled to match the number of judges.}

\item{judges}{The (optional) number of judges. Defaults to the maximum of
\code{length(skills)} and the rows of \code{guessing_dist}. Recycles guessing \code{skills}
and \code{guessing_dist}.}

\item{...}{Passed to \code{difficulties}.}
}
\value{
Simulated \code{raw} data, a matrix with \code{judges} columns and \code{n} rows.
}
\description{
Simulate from a multiplicative guessing model.
}
