% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/transformations.R
\name{transform_data}
\alias{transform_data}
\title{Transform agreement data formats}
\usage{
transform_data(x, input, output, rating)
}
\arguments{
\item{x}{The input data.}

\item{input}{Form of the input data. See the details.}

\item{output}{Form of the output data. See the details.}

\item{rating}{Optional name of rating column when transforming input data on
triple form. Defaults to \code{"rating"}.}
}
\value{
Agreement data on the \code{"output"} form, provided a transformation is
possible.
}
\description{
Agreement data comes in many formats. These utility functions transform between
them, when possible.
}
\details{
\itemize{
\item Cohen form (for two judges; a contingency table) (irrCAC::cont3x3abstractors, irrCAC::cont4x4diagnosis)
\item Krippendorff form (\code{table} of pair form; discard information about items and judges).
\item Fleiss form (item rows; number of ratings for each category) Discards information about the judges. (irrCAC::cac.dist4cat)
\item Raw form / wide form (item rows; judges on columns) (cac.raw4raters)
\item Triplet form / long form (x, j, i) This is usually the best form, as it discards no data, easily handles covariates, and multiple ratings.
}
}
