% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/true_values.R
\name{true_coefficient}
\alias{true_coefficient}
\title{Calculates theoretical coefficient.}
\usage{
true_coefficient(
  s,
  type = c("skill", "cohen-fleiss", "fleiss", "bp", "tu", "pcac", "pcaf", "pa"),
  true_dist,
  guessing_dist,
  ac1 = FALSE,
  approximation = FALSE,
  loss
)
}
\arguments{
\item{s}{Vector of success probabilities.}

\item{type}{The model used in the estimation of the coefficient. The \code{"bp"}
model assumes that the guessing distribution is uniform, the \code{"fleiss"}
model assumes that the guessing distribution equals the marginal
distribution of ratings.}

\item{true_dist}{A vector of true category probabilities.}

\item{guessing_dist}{An array where each row contains the guessing
distribution for the jth judge, or a vector containing a single
guessing distribution.}

\item{ac1}{If \code{TRUE}, calculates the AC1 under the model specified in type.
Ignored if \code{type = "skill"}, \code{"pcac"}, \code{"pcaf"}, or \code{"pa"}.}

\item{approximation}{If \code{TRUE}, returns the approximation to the AC1 under the
\code{"bp"} model. Ignored if \code{AC1 = FALSE}.}

\item{loss}{A bivariate function assigning an disagreement weight l(i, j) to
every combination of categories. Currently not supported.}
}
\value{
The true coefficient.
}
\description{
Calculates theoretical coefficient.
}
