#include "shared.h"

// arma::vec wf(const arma::mat &u, const arma::mat &v) {
//   arma::vec return_vector(u.n_cols);
//
//   for(unsigned int index = 0; index < u.n_cols; index++) {
//     return_vector(index) = 1 - pow(u(0, index) - v(0, index), 2.0);
//   }
//
//   return return_vector;
//
// }

arma::vec wf(const arma::mat &u, const arma::mat &v,std::string &w){
  arma::vec return_vector(u.n_cols);

  if(w == "quadratic") {
    for(unsigned int index = 0; index < u.n_cols; index++) {
      return_vector(index) = w_quadratic(u(0, index), v(0, index));
    }
  } else if (w == "unit"){
    for(unsigned int index = 0; index < u.n_cols; index++) {
      return_vector(index) = w_unit(u(0, index), v(0, index));
    }
  } else {
    for(unsigned int index = 0; index < u.n_cols; index++) {
      return_vector(index) = w_abs(u(0, index), v(0, index));
    }
  }

  return return_vector;

}

// [[Rcpp::export]]
arma::vec mua_hats_cpp(const arma::mat &x,std::string &w,const arma::uvec &index_u,const arma::uvec &index_v){

  arma::vec return_vector(x.n_rows);
  arma::uvec index_w(1);

  for(unsigned int index = 0; index < x.n_rows; index++) {
    index_w(0) = index;
    return_vector(index) = arma::mean(wf(x(index_w, index_u), x(index_w, index_v), w));
  }

  return return_vector;

}

// [[Rcpp::export]]
arma::vec muc_hats_cpp(const arma::mat &x, std::string &w, const arma::uvec &index_u,const arma::uvec &index_v){

  arma::vec return_vector(x.n_rows);
  arma::vec temp(x.n_rows);
  arma::uvec index_w1(1);
  arma::uvec index_w2(1);

  for(unsigned int index_1 = 0; index_1 < x.n_rows; index_1++) {
    for(unsigned int index_2 = 0; index_2 < x.n_rows; index_2++) {
      index_w1(0) = index_1;
      index_w2(0) = index_2;
      temp(index_2) = arma::mean(wf(x(index_w1, index_u), x(index_w2, index_v), w));
    }

    return_vector(index_1) = arma::mean(temp);

  }

  return return_vector;

}