
#' Calculate Hubert's kappa and its standard deviation
#'
#' **This function is currently bugged.** See the `hubert_work.R` in the
#'    `workspace` directory for examles.
#'
#' @param x A matrix of ratings in wide form.
#' @param type The type of disagreement measure used.
#' @return A list contain the estimate `kappa_hat` and `sigma_hat`,
#'   the estimated standard deviation.
#' @keywords internal
hubert_calc <- function(x, type) {
  muds <- 1 * (rowSums(abs(x - x[, 1])) != 0)
  mus <- if (type == "fleiss") {
    pk <- Rfast::Table(x) / (nrow(x) * (ncol(x)))
    values <- pk**(ncol(x) - 1) / ncol(x)
    result <- matrix(values[x], nrow = nrow(x), ncol = ncol(x), byrow = FALSE)
    1 - rowSums(result)
  } else {
    cats <- sort(unique(c(x)))
    m <- length(cats)

    # pkr_ counts the number of times a rater places an item into a category.
    pkr_ <- apply(x, 2, function(y) Rfast::Table(c(y, cats))) - 1

    # pkr counts the number of times any other rater places an item into
    # a category and makes each column into a probability.
    pkr <- (rowSums(pkr_) - pkr_) / (nrow(x) * (ncol(x) - 1))

    # values: Probability of everyone else choosing from that category.
    values <- pkr**(ncol(x) - 1)
    result <- sapply(seq(ncol(x)), function(i) values[x[, i], i])
    1 - unname(c(rowSums(result)))
  }
  est_and_sd(muds, mus, g = ncol(x))
}
