x <- as.matrix(dat.zapf2016)
disagreement <- "quadratic"
type = "cohen"
g = 3

est_and_sd <- function(muds, mus, g) {
est_and_sd <- function(muds, mus, g) {
  result <- est_and_sd_cpp(muds, mus, g)
  list(kappa_hat = result, sigma_hat = c(ps %*% ss))
}
}

microbenchmark::microbenchmark(est_and_sd(muds, mus, g), est_and_sd_cpp(muds, mus, g))


#' Get estimate and standard deviation.
#'
#' @param muds,mus Vectors used in the calculation of kappas and their sd.
#' @return A list contain the estimate `kappa_hat` and `sigma_hat`,
#'   the estimated standard deviation.
#' @keywords internal
est_and_sd <- function(muds, mus, g) {
  d_hat <- mean(muds)
  c_hat <- mean(mus)
  ss <- c(stats::var(muds), g * stats::cov(muds, mus), g^2 * stats::var(mus))
  ps <- c(1, -2 * d_hat / c_hat, d_hat^2 / c_hat^2) / c_hat^2
  list(kappa_hat = 1 - d_hat / c_hat, sigma_hat = c(ps %*% ss))
}
