mus_est <- \(x, g) {
  r <- ncol(x)
  r_combs <- arrangements::combinations(r, g)
  uniques <- sort(unique(c(x)))
  size <- length(uniques)
  i_combs <- as.matrix(expand.grid(lapply(seq(g - 1), \(x) seq(size))))
  nk <- apply(x, 2, function(y) Rfast::Table(c(y, uniques))) - 1
  dists <- list()

  for(elem in uniques) {
    dists[[elem]] <- sapply(seq(nrow(i_combs)), \(i) d_quadratic(c(elem, i_combs[i, ])))
  }


  nk <- apply(x, 2, function(y) Rfast::Table(c(y, uniques))) - 1
  pk <- nk / nrow(x)
  mus <- rep(0, nrow(x))

  for(i in seq(nrow(x))) {
    ## We need to iterate over all rater combinations while caring about which
    ## rater comes first. The outer loop iterates over ordered unordered
    ## combinations (lexicographically ordered), the inner loop lets us work
    ## with which rater comes first.

    out = 0
    for(j in seq(nrow(r_combs))) {
      for(k in r_combs[j, ]) {
        raters <- setdiff(r_combs[j, ], k)
        ps <- pk[i_combs[, 1], raters[1]]

        if (g > 2) {
          for(l in 2:(g-1)) {
            ps <- ps * pk[i_combs[, l], raters[l]]
          }
        }

        elem <- x[i, k]
        out = out + mean(dists[[elem]] * ps)
      }
    }
    mus[i] = out / (length(r_combs))
  }
  mus
}

g = 4
mus_g <- mus_est(x, g)

mus / mus_g



h <- \(g) (mean(muds_simple_cpp(x, g, d)) / g) / da(x, g)
h(2)
h(3)
h(4)

kappa_calc(x, "quadratic", "cohen", g = 2)
kappa_calc(x, "quadratic", "cohen", g = 3)
kappa_calc(x, "quadratic", "cohen", g = 4)


kappa_calc(x, "nominal", "cohen", g = 2)
kappa_calc(x, "absolute", "cohen", g = 2)
kappa_calc(x, "quadratic", "cohen", g = 2)
kappa_calc(x, "hubert", "cohen", g = 2)

kappa_calc(x, "nominal", "cohen", g = 4)
kappa_calc(x, "absolute", "cohen", g = 4)
kappa_calc(x, "quadratic", "cohen", g = 4)
kappa_calc(x, "hubert", "cohen", g = 4)


x <- MASS::mvrnorm(100, rep(1, 4), Sigma = diag(4))
