fleiss_table = function(g) {
  ci = round(rbind(agreer::kappa(agreer::dat.fleiss1971, type = "fleiss", disagreement = "nominal", g = g, fleiss_form = TRUE)$conf.int,
                   agreer::kappa(agreer::dat.fleiss1971, type = "fleiss", disagreement = "hubert", g = g, fleiss_form = TRUE)$conf.int), 3)

  est = round(rbind(agreer::kappa(agreer::dat.fleiss1971, type = "fleiss", disagreement = "nominal", g = g, fleiss_form = TRUE)$estimate,
                    agreer::kappa(agreer::dat.fleiss1971, type = "fleiss", disagreement = "hubert", g = g, fleiss_form = TRUE)$estimate), 3)

  cbind(ci, est)[, 1:3]
}

fleiss_table(2)
fleiss_table(3)
fleiss_table(4)
fleiss_table(6)

irrCAC::fleiss.kappa.dist(agreer::dat.fleiss1971)

dis = sum(agreer::dat.fleiss1971 == 6)

x <- as.matrix(agreer::dat.fleiss1971)
pa = sum(x == 6) / 30
ps <- sapply(1:5, \(i) sum(x[, i])) / sum(x)
pca <- sum(ps^6)
(pa - pca) / (1 - pca)

agreer::kappa(x, type = "fleiss", disagreement = "hubert", g = 6, fleiss_form = TRUE)$estimate



x <- as.matrix(agreer::dat.fleiss1971)
pa = sum(x == g) / 30
ps <- sapply(1:5, \(i) sum(x[, i])) / sum(x)
pca <- sum(ps^g)
(pa - pca) / (1 - pca)


### ============================================================================
###  Verifying g = 4
### ============================================================================

x <-


n <- nrow(x)
g <- 4
r <- sum(x[1, ])
x_new <- disaggr(x)
indices <- arrangements::combinations(r, g)
pa <- mean(sapply(seq_len(nrow(indices)), \(i) {
  mean(apply(x_new[, indices[i, ]], 1, \(x) length(unique(x)) == 1))
}))

ps <- rowMeans(sapply(seq_len(nrow(indices)), \(i) {
  table(x_new[, indices[i, ]]) / (g * n)
}))

pca <- sum(ps^g)

(pa - pca) / (1 - pca)
agreer::kappa(x, type = "fleiss", disagreement = "hubert", g = g, fleiss_form = TRUE)$estimate
